# Documentation generation

- [Man page docs](./man_docs.md)
- [Markdown docs](./md_docs.md)
- [Rest docs](./rest_docs.md)
- [Yaml docs](./yaml_docs.md)

## Options
### `DisableAutoGenTag`

You may set `cmd.DisableAutoGenTag = true`
to _entirely_ remove the auto generated string "Auto generated by spf13/cobra..."
from any documentation source.

### `InitDefaultCompletionCmd`

You may call `cmd.InitDefaultCompletionCmd()` to document the default autocompletion command.
